<?php
/**
 * Water Sports Rental: Customizer
 *
 * @subpackage Water Sports Rental
 * @since 1.0
 */

function water_sports_rental_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/inc/customizer/customizer.css');

	// Pro Section
 	$wp_customize->add_section('water_sports_rental_pro', array(
        'title'    => __('WATER SPORTS RENTAL PREMIUM', 'water-sports-rental'),
        'priority' => 1,
    ));
    $wp_customize->add_setting('water_sports_rental_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Water_Sports_Rental_Pro_Control($wp_customize, 'water_sports_rental_pro', array(
        'label'    => __('WATER SPORTS RENTAL PREMIUM', 'water-sports-rental'),
        'section'  => 'water_sports_rental_pro',
        'settings' => 'water_sports_rental_pro',
        'priority' => 1,
    )));
}
add_action( 'customize_register', 'water_sports_rental_customize_register' );


define('WATER_SPORTS_RENTAL_PRO_LINK',__('https://www.ovationthemes.com/products/water-sports-rental-wordpress-theme','water-sports-rental'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Water_Sports_Rental_Pro_Control')):
    class Water_Sports_Rental_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md upsell-btn">
                <a href="<?php echo esc_url( WATER_SPORTS_RENTAL_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE WATER SPORTS PREMIUM','water-sports-rental');?> </a>
	        </div>
            <div class="col-md">
                <img class="water_sports_rental_img_responsive " src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png">
            </div>
	        <div class="col-md">
                <ul style="padding-top:10px">
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'water-sports-rental');?> </li>                 
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'water-sports-rental');?> </li>
                    <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'water-sports-rental');?> </li>
                </ul>
        	</div>
            <div class="col-md upsell-btn upsell-btn-bottom">
                <a href="<?php echo esc_url( WATER_SPORTS_RENTAL_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE WATER SPORTS PREMIUM','water-sports-rental');?> </a>
            </div>
        </label>
    <?php } }
endif;