<?php

add_action( 'admin_menu', 'water_sports_rental_gettingstarted' );
function water_sports_rental_gettingstarted() {
	add_theme_page( esc_html__('Begin Installation', 'water-sports-rental'), esc_html__('Begin Installation', 'water-sports-rental'), 'edit_theme_options', 'water-sports-rental-guide-page', 'water_sports_rental_guide');
}

function water_sports_rental_admin_theme_style() {
   wp_enqueue_style('water-sports-rental-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'water_sports_rental_admin_theme_style');

if ( ! defined( 'WATER_SPORTS_RENTAL_SUPPORT' ) ) {
define('WATER_SPORTS_RENTAL_SUPPORT',__('https://wordpress.org/support/theme/water-sports-rental/','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_REVIEW' ) ) {
define('WATER_SPORTS_RENTAL_REVIEW',__('https://wordpress.org/support/theme/water-sports-rental/reviews/','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_LIVE_DEMO' ) ) {
define('WATER_SPORTS_RENTAL_LIVE_DEMO',__('https://trial.ovationthemes.com/water-sports-rental-pro/','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_BUY_PRO' ) ) {
define('WATER_SPORTS_RENTAL_BUY_PRO',__('https://www.ovationthemes.com/products/water-sports-rental-wordpress-theme','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_PRO_DOC' ) ) {
define('WATER_SPORTS_RENTAL_PRO_DOC',__('https://trial.ovationthemes.com/docs/ot-water-sports-rental-pro-doc/','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_FREE_DOC' ) ) {
define('WATER_SPORTS_RENTAL_FREE_DOC',__('https://trial.ovationthemes.com/docs/ot-water-sports-rental-free-doc/','water-sports-rental'));
}
if ( ! defined( 'WATER_SPORTS_RENTAL_THEME_NAME' ) ) {
define('WATER_SPORTS_RENTAL_THEME_NAME',__('Premium Water Sports Rental Theme','water-sports-rental'));
}

/**
 * Theme Info Page
 */
function water_sports_rental_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( '' ); ?>

	<div class="getting-started__header">
		<div class="header-box-left">
			<h2><?php echo esc_html( $theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'water-sports-rental'); ?><?php echo esc_html($theme['Version']);?></p>
		</div>
		<div class="header-box-right">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( WATER_SPORTS_RENTAL_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'water-sports-rental'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( WATER_SPORTS_RENTAL_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'water-sports-rental'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="box-container">
			<div class="box-left-main">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','water-sports-rental'); ?></h3>
					<p><?php $theme = wp_get_theme(); 
						echo wp_kses_post( apply_filters( 'description', esc_html( $theme->get( 'Description' ) ) ) );
					?></p>

					<h4><?php esc_html_e('Edit Your Site','water-sports-rental'); ?></h4>
					<p><?php esc_html_e('Now create your website with easy drag and drop powered by gutenburg.','water-sports-rental'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url() . 'site-editor.php' ); ?>" target="_blank"><?php esc_html_e('Edit Your Site','water-sports-rental'); ?></a>

					<h4><?php esc_html_e('Visit Your Site','water-sports-rental'); ?></h4>
					<p><?php esc_html_e('To check your website click here','water-sports-rental'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( home_url() ); ?>" target="_blank"><?php esc_html_e('Visit Your Site','water-sports-rental'); ?></a>

					<h4><?php esc_html_e('Theme Documentation','water-sports-rental'); ?></h4>
					<p><?php esc_html_e('Check the theme documentation to easily set up your website.','water-sports-rental'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( WATER_SPORTS_RENTAL_FREE_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','water-sports-rental'); ?></a>
				</div>
       	</div>
			<div class="box-right-main">
				<h3><?php echo esc_html(WATER_SPORTS_RENTAL_THEME_NAME); ?></h3>
				<img class="water_sports_rental_img_responsive" style="width: 100%;" src="<?php echo esc_url( $theme->get_screenshot() ); ?>" />
				<div class="pro-links">
					<hr>
			    	<a class="button-primary livedemo" href="<?php echo esc_url( WATER_SPORTS_RENTAL_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'water-sports-rental'); ?></a>
					<a class="button-primary buynow" href="<?php echo esc_url( WATER_SPORTS_RENTAL_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'water-sports-rental'); ?></a>
					<a class="button-primary docs" href="<?php echo esc_url( WATER_SPORTS_RENTAL_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'water-sports-rental'); ?></a>
					<hr>
				</div>
				<ul style="padding-top:10px">
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'water-sports-rental');?> </li>                 
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'water-sports-rental');?> </li>
					<li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'water-sports-rental');?> </li>
               <li class="upsell-water_sports_rental"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'water-sports-rental');?> </li>
            </ul>
        	</div>
		</div>
	</div>

<?php }?>